LIBJXL

Classes | Typedefs
butteraugli_cxx.h File Reference

C++ header-only helper for butteraugli.h. More...

`#include <memory>`
`#include "jxl/butteraugli.h"`
Include dependency graph for butteraugli_cxx.h:

Go to the source code of this file.

## Classes
struct | JxlButteraugliApiDestroyStruct
struct | JxlButteraugliResultDestroyStruct

## Typedefs
typedef std::unique_ptr< JxlButteraugliApi, JxlButteraugliApiDestroyStruct > | JxlButteraugliApiPtr
typedef std::unique_ptr< JxlButteraugliResult, JxlButteraugliResultDestroyStruct > | JxlButteraugliResultPtr

## Detailed Description

C++ header-only helper for butteraugli.h.

There's no binary library associated with the header since this is a header only library.

## Typedef Documentation

## ◆ JxlButteraugliApiPtr

typedef std::unique_ptr<JxlButteraugliApi, JxlButteraugliApiDestroyStruct> JxlButteraugliApiPtr

std::unique_ptr<> type that calls JxlButteraugliApiDestroy() when releasing the pointer.

Use this helper type from C++ sources to ensure the api is destroyed and their internal resources released.

## ◆ JxlButteraugliResultPtr

typedef std::unique_ptr<JxlButteraugliResult, JxlButteraugliResultDestroyStruct> JxlButteraugliResultPtr

std::unique_ptr<> type that calls JxlButteraugliResultDestroy() when releasing the pointer.

Use this helper type from C++ sources to ensure the result object is destroyed and their internal resources released.